Package net.shibboleth.idp.saml.profile.config.logic

# Class ProxyAwareForceAuthnPredicate

java.lang.Object
net.shibboleth.idp.saml.profile.config.logic.ProxyAwareForceAuthnPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class ProxyAwareForceAuthnPredicate extends Object implements Predicate<ProfileRequestContext>
Implements a set of default logic for determining whether ForceAuthn should be applied.

This operates in two different scenarios: ordinary use and proxy SAML authentication use, detectable by whether the input context is parent-less (the former), or the child of an `AuthenticationContext`.

In normal use, the value returned is false, requiring it to be explicitly superceded.

In proxy use, the value returned is false unless the parent context itself indicates the use of forced authentication, which was itself established in most cases from this function running previously or being overridden by a default. In other words, the proxy default is "passthrough" of the value.

Since:
  4.0.0

## Constructor Summary

Constructors
Constructor
Description
`ProxyAwareForceAuthnPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### ProxyAwareForceAuthnPredicate

public ProxyAwareForceAuthnPredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`